Skip to main content

List all configs of the group

GET 

/kafka/v3/clusters/:cluster_id/groups/:group_id/configs

Generally Available

List all configurations for the specified group. This API supports consumer groups, share groups, and streams groups.

Request

Responses

Config name and value for group configurations.

OpenAPI definition (YAML)
paths:
  /kafka/v3/clusters/{cluster_id}/groups/{group_id}/configs:
    get:
      operationId: listKafkaGroupConfigs
      description: '[![Generally Available](https://img.shields.io/badge/Lifecycle%20Stage-Generally%20Available-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)


        List all configurations for the specified group. This API supports consumer groups, share groups,
        and streams groups.'
      tags:
      - Configs (v3)
      security:
      - resource-api-key: []
      - external-access-token: []
      responses:
        '200':
          description: Config name and value for group configurations.
          content:
            application/json:
              schema:
                allOf:
                - type: object
                  required:
                  - kind
                  - metadata
                  properties:
                    kind:
                      type: string
                    metadata:
                      type: object
                      required:
                      - self
                      properties:
                        self:
                          type: string
                        next:
                          type: string
                          nullable: true
                      title: ResourceCollectionMetadata
                  title: ResourceCollection
                - type: object
                  required:
                  - data
                  properties:
                    data:
                      type: array
                      items:
                        allOf:
                        - type: object
                          required:
                          - kind
                          - metadata
                          properties:
                            kind:
                              type: string
                            metadata:
                              type: object
                              required:
                              - self
                              properties:
                                self:
                                  type: string
                                resource_name:
                                  type: string
                                  nullable: true
                              title: ResourceMetadata
                          title: Resource
                        - type: object
                          required:
                          - cluster_id
                          - group_id
                          - name
                          - is_default
                          - is_read_only
                          - is_sensitive
                          - source
                          - synonyms
                          properties:
                            cluster_id:
                              type: string
                            group_id:
                              type: string
                            name:
                              type: string
                            value:
                              type: string
                              nullable: true
                            is_default:
                              type: boolean
                            is_read_only:
                              type: boolean
                            is_sensitive:
                              type: boolean
                            source:
                              type: string
                              enum:
                              - DYNAMIC_CLUSTER_LINK_CONFIG
                              - DYNAMIC_TOPIC_CONFIG
                              - DYNAMIC_BROKER_LOGGER_CONFIG
                              - DYNAMIC_BROKER_CONFIG
                              - DYNAMIC_DEFAULT_BROKER_CONFIG
                              - STATIC_BROKER_CONFIG
                              - DEFAULT_CONFIG
                              - UNKNOWN
                              title: ConfigSource
                            synonyms:
                              type: array
                              items:
                                type: object
                                required:
                                - name
                                - source
                                properties:
                                  name:
                                    type: string
                                  value:
                                    type: string
                                    nullable: true
                                  source:
                                    type: string
                                    enum:
                                    - DYNAMIC_CLUSTER_LINK_CONFIG
                                    - DYNAMIC_TOPIC_CONFIG
                                    - DYNAMIC_BROKER_LOGGER_CONFIG
                                    - DYNAMIC_BROKER_CONFIG
                                    - DYNAMIC_DEFAULT_BROKER_CONFIG
                                    - STATIC_BROKER_CONFIG
                                    - DEFAULT_CONFIG
                                    - UNKNOWN
                                    title: ConfigSource
                                title: ConfigSynonymData
                        title: GroupConfigData
                title: GroupConfigDataList
              example:
                kind: KafkaGroupConfigDataList
                metadata:
                  self: https://pkc-00000.region.provider.confluent.cloud/kafka/v3/clusters/cluster-1/groups/group-1/configs
                  next: null
                data:
                - kind: KafkaGroupConfigData
                  metadata:
                    self: https://pkc-00000.region.provider.confluent.cloud/kafka/v3/clusters/cluster-1/groups/group-1/configs/share.session.timeout.ms
                    resource_name: crn:///kafka=cluster-1/group=group-1/config=share.session.timeout.ms
                  cluster_id: cluster-1
                  group_id: group-1
                  name: share.session.timeout.ms
                  value: '45000'
                  is_default: false
                  is_read_only: false
                  is_sensitive: false
                  source: DYNAMIC_GROUP_CONFIG
                  synonyms:
                  - name: share.session.timeout.ms
                    value: '45000'
                    source: DYNAMIC_GROUP_CONFIG
                  - name: share.session.timeout.ms
                    value: '30000'
                    source: DEFAULT_CONFIG
                - kind: KafkaGroupConfigData
                  metadata:
                    self: https://pkc-00000.region.provider.confluent.cloud/kafka/v3/clusters/cluster-1/groups/group-1/configs/share.heartbeat.interval.ms
                    resource_name: crn:///kafka=cluster-1/group=group-1/config=share.heartbeat.interval.ms
                  cluster_id: cluster-1
                  group_id: group-1
                  name: share.heartbeat.interval.ms
                  value: null
                  is_default: true
                  is_read_only: false
                  is_sensitive: false
                  source: DEFAULT_CONFIG
                  synonyms:
                  - name: share.heartbeat.interval.ms
                    value: '3000'
                    source: DEFAULT_CONFIG
        '400':
          description: Indicates a bad request error. It could be caused by an unexpected request body
            format or other forms of request validation failure.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                bad_request_cannot_deserialize:
                  description: Thrown when trying to deserialize an integer from non-integer data.
                  value:
                    error_code: 400
                    message: 'Cannot deserialize value of type `java.lang.Integer` from String "A": not
                      a valid `java.lang.Integer` value'
                unsupported_version_exception:
                  description: Thrown when the version of this API is not supported in the underlying
                    Kafka cluster.
                  value:
                    error_code: 40035
                    message: The version of this API is not supported in the underlying Kafka cluster.
        '401':
          description: Indicates a client authentication error. Kafka authentication failures will contain
            error code 40101 in the response body.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                kafka_authentication_failed:
                  description: Thrown when using Basic authentication with wrong Kafka credentials.
                  value:
                    error_code: 40101
                    message: Authentication failed
        '404':
          description: Indicates attempted access to an unreachable or non-existing resource like e.g.
            an unknown topic or partition. GET requests to endpoints not allowed in the accesslists will
            also result in this response.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                endpoint_not_found:
                  description: Thrown for generic HTTP 404 errors.
                  value:
                    error_code: 404
                    message: HTTP 404 Not Found
                cluster_not_found:
                  description: Thrown when using a non-existing cluster ID.
                  value:
                    error_code: 404
                    message: Cluster my-cluster cannot be found.
                unknown_topic_or_partition:
                  description: Thrown when using a non-existing topic name or partition ID.
                  value:
                    error_code: 40403
                    message: This server does not host this topic-partition.
        '429':
          description: Indicates that a rate limit threshold has been reached, and the client should retry
            again later.
          content:
            text/html:
              schema:
                type: string
              example:
                description: A sample response from Jetty's DoSFilter.
                value: <html> <head> <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
                  <title>Error 429 Too Many Requests</title> </head> <body> <h2>HTTP ERROR 429 Too Many
                  Requests</h2> <table> <tr> <th>URI:</th> <td>/v3/clusters/my-cluster</td> </tr> <tr>
                  <th>STATUS:</th> <td>429</td> </tr> <tr> <th>MESSAGE:</th> <td>Too Many Requests</td>
                  </tr> <tr> <th>SERVLET:</th> <td>default</td> </tr> </table> </body> </html>
        5XX:
          description: A server-side problem that might not be addressable from the client side. Retriable
            Kafka errors will contain error code 50003 in the response body.
          content:
            application/json:
              schema:
                type: object
                description: Describes a particular error encountered while performing an operation.
                properties:
                  id:
                    description: A unique identifier for this particular occurrence of the problem.
                    type: string
                    maxLength: 255
                  status:
                    description: The HTTP status code applicable to this problem, expressed as a string
                      value.
                    type: string
                  code:
                    description: An application-specific error code, expressed as a string value.
                    type: string
                  title:
                    description: A short, human-readable summary of the problem. It **SHOULD NOT** change
                      from occurrence to occurrence of the problem, except for purposes of localization.
                    type: string
                  detail:
                    description: A human-readable explanation specific to this occurrence of the problem.
                    type: string
                  source:
                    type: object
                    description: If this error was caused by a particular part of the API request, the
                      source will point to the query string parameter or request body property that caused
                      it.
                    properties:
                      pointer:
                        description: A JSON Pointer [RFC6901] to the associated entity in the request
                          document [e.g. "/spec" for a spec object, or "/spec/title" for a specific field].
                        type: string
                      parameter:
                        description: A string indicating which query parameter caused the error.
                        type: string
                  error_code:
                    type: integer
                    format: int32
                  message:
                    type: string
                    nullable: true
                additionalProperties: false
                title: Error
              examples:
                generic_internal_server_error:
                  description: Thrown for generic HTTP 500 errors.
                  value:
                    error_code: 500
                    message: Internal Server Error
      parameters:
      - name: cluster_id
        description: The Kafka cluster ID.
        in: path
        required: true
        schema:
          type: string
        example: cluster-1
      - name: group_id
        description: The group ID.
        in: path
        required: true
        schema:
          type: string
        example: group-1
      servers:
      - url: https://pkc-00000.region.provider.confluent.cloud
        x-audience: business-unit-internal
        description: Confluent Cloud REST Endpoint. For example https://pkc-00000.region.provider.confluent.cloud